---
title: 刪除安全護欄指派 | RunAPI
description: 從其 API 金鑰或帳號成員目標中移除防護規則。
url: https://runapi.ai/zh-HK/docs/api/management/guardrail-assignments/delete.md
canonical: https://runapi.ai/zh-HK/docs/api/management/guardrail-assignments/delete
locale: zh-HK
---

> HTML 版本: https://runapi.ai/zh-HK/docs/api/management/guardrail-assignments/delete
> 智能代理網站索引: https://runapi.ai/llms.txt

# 刪除安全護欄指派

從其 API 金鑰或帳號成員目標中移除防護規則。

## 端點

DELETE /api/v1/guardrail_assignments/:id

基礎 URL: https://runapi.ai

API 版本: v1

身份驗證: Authorization: Bearer YOUR_MANAGEMENT_API_KEY


授權: 帳戶管理員可移除任何指派。非管理員用戶只能移除其自身 API 金鑰上的指派。

## 請求

僅在列出的請求位置傳送值。

### 路徑參數

```json
{
  "id": {
    "description": "Guardrail 指派前綴 ID。",
    "required": true,
    "type": "string"
  }
}
```

## 成功回應

HTTP 204 - DELETE /api/v1/guardrail_assignments/:id

此回應沒有內容。

## 錯誤回應（401）

HTTP 401

### 回應結構

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Authentication required"
}
```

## 錯誤回應（403）

HTTP 403

### 回應結構

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Management API key required"
}
```

## 錯誤回應（403）

HTTP 403

### 回應結構

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Forbidden"
}
```

## 錯誤回應（404）

HTTP 404

### 回應結構

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Resource not found"
}
```

## cURL 範例



### curl

```curl
curl -X DELETE https://runapi.ai/api/v1/guardrail_assignments/guardrail_assignment_123 \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'
```

## 相關參考資料

- [Guardrail 指派](https://runapi.ai/zh-HK/docs/api/management/guardrail-assignments.md)
- [Guardrail 指派物件](https://runapi.ai/zh-HK/docs/api/management/guardrail-assignments/object.md)

---

## RunAPI 的更多內容

- [首頁](https://runapi.ai/zh-HK/.md)
- [模型目錄](https://runapi.ai/zh-HK/models.md)
- [收費](https://runapi.ai/zh-HK/pricing.md)
- [服務商](https://runapi.ai/zh-HK/models)
- [文件](https://runapi.ai/zh-HK/docs/guides)
- [SDK](https://runapi.ai/zh-HK/sdk.md)
- [CLI](https://runapi.ai/zh-HK/cli.md)
- [MCP Server](https://runapi.ai/zh-HK/mcp.md)
- [Claude Code 與 Cursor](https://runapi.ai/zh-HK/claude-code-vs-cursor.md)
- [Cursor API 設定](https://runapi.ai/zh-HK/cursor-api-setup.md)
- [RunAPI 與 OpenRouter](https://runapi.ai/zh-HK/openrouter-alternative.md)
- [企業版](https://runapi.ai/zh-HK/contact.md)
- [聯絡](https://runapi.ai/zh-HK/contact.md)
- [條款](https://runapi.ai/zh-HK/terms.md)
- [私隱](https://runapi.ai/zh-HK/privacy.md)
- [智能代理網站索引](https://runapi.ai/llms.txt)

聯絡我們: contact@runapi.ai

## 結構化資料

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "zh-HK",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/zh-HK",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/zh-HK/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "zh-HK",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/zh-HK",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/zh-HKicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "zh-HK",
    "@type": "TechArticle",
    "headline": "刪除安全護欄指派",
    "description": "從其 API 金鑰或帳號成員目標中移除防護規則。",
    "url": "https://runapi.ai/zh-HK/docs/api/management/guardrail-assignments/delete",
    "mainEntityOfPage": "https://runapi.ai/zh-HK/docs/api/management/guardrail-assignments/delete"
  }
]
```
